Bug 1025446 - rhnpush of a MD5 - signed content (RHEL5 & RHEL6) from a FIPS enabled client fails
rhnpush of a MD5 - signed content (RHEL5 & RHEL6) from a FIPS enabled client ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zázrivec
Jan Hutař
:
Depends On:
Blocks: 843620
  Show dependency treegraph
 
Reported: 2013-10-31 14:01 EDT by Milan Zázrivec
Modified: 2015-01-26 06:58 EST (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.2.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 06:58:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2013-10-31 14:01:59 EDT
Description of problem:
Pushing MD5 - signed content (RHEL-5 package) from a FIPS enabled RHEL
client system to Satellite 5.6 fails with the following error:

# rhnpush -c test-channel-01 --server localhost virt-who-0.7-9.el5.noarch.rpm -vvv -u admin
Connecting to http://localhost/APP
Password: 
url is http://localhost/PACKAGE-PUSH
Result codes: 200 OK
Computing checksum and package info. This may take some time ...

ERROR: unhandled exception occurred: (error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips).

Version-Release number of selected component (if applicable):
rhnpush-5.5.65-5

How reproducible:
Always

Steps to Reproduce:
1. Enable FIPS mode on your client system
2. Install rhnpush package on your client system
3. rhnpush a MD5 signed package to a Satellite 5.6

Actual results:
Above error

Expected results:
Either rhnpush works or it informs the user the operation is not possible given the circumstances.

Additional info:
Seemingly, rhnpush cannot compute MD5 checksum of the package to be uploaded on a system with FIPS
mode enabled.
Comment 1 Milan Zázrivec 2014-04-01 10:48:19 EDT
Fixed in spacewalk.git master: a478498e201f94cff1b4bacd187cf33c8f61c7a8

Note You need to log in before you can comment on or make changes to this bug.